Pretest Build Reports - Build 6142 details

For more information see http://pretest.nongnu.org.

← back to list

Project: coreutils-8.30.79-efa3e
Source: http://agnx.s3.amazonaws.com/tmp/coreutils-8.30.79-efa3e.tar.xz
System: Darwin 17.4.0 (x86_64)
Status:
make-check failed
Download logs (what's inside?) coreutils-8.30.79-efa3e.pretest-build-report.build-6142.tar.bz2
Failed tests from tests-suite-summary.log:
=========================================================
GNU coreutils 8.30.79-efa3e: ./tests/test-suite.log
=========================================================

# TOTAL: 616
# PASS:  440
# SKIP:  172
# XFAIL: 0
# FAIL:  4
# XPASS: 0
# ERROR: 0

FAIL: tests/misc/wc-nbsp
========================

++initial_cwd_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+++testdir_prefix_
+++printf gt
++pfx_=gt
+++mktempd_ /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e gt-wc-nbsp.sh.XXXX
+++case $# in
+++destdir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+++template_=gt-wc-nbsp.sh.XXXX
+++MAX_TRIES_=4
+++case $destdir_ in
+++destdir_slash_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/
+++case $template_ in
++++unset TMPDIR
+++d=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-wc-nbsp.sh.h4wN
+++case $d in
+++:
+++test -d /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-wc-nbsp.sh.h4wN
++++ls -dgo /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-wc-nbsp.sh.h4wN
+++perms='drwx------ 2 68 Mar  4 21:47 /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-wc-nbsp.sh.h4wN'
+++case $perms in
+++:
+++echo /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-wc-nbsp.sh.h4wN
+++return
++test_dir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-wc-nbsp.sh.h4wN
++cd /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-wc-nbsp.sh.h4wN
++gl_init_sh_nl_='
'
++IFS='
'
++for sig_ in 1 2 3 13 15
+++expr 1 + 128
++eval 'trap '\''Exit 129'\'' 1'
+++trap 'Exit 129' 1
++for sig_ in 1 2 3 13 15
+++expr 2 + 128
++eval 'trap '\''Exit 130'\'' 2'
+++trap 'Exit 130' 2
++for sig_ in 1 2 3 13 15
+++expr 3 + 128
++eval 'trap '\''Exit 131'\'' 3'
+++trap 'Exit 131' 3
++for sig_ in 1 2 3 13 15
+++expr 13 + 128
++eval 'trap '\''Exit 141'\'' 13'
+++trap 'Exit 141' 13
++for sig_ in 1 2 3 13 15
+++expr 15 + 128
++eval 'trap '\''Exit 143'\'' 15'
+++trap 'Exit 143' 15
++trap remove_tmp_ 0
+path_prepend_ ./src
+test 1 '!=' 0
+path_dir_=./src
+case $path_dir_ in
+abs_path_dir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src
+case $abs_path_dir_ in
+PATH=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src:/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/src:/Users/travis/.rvm/gems/ruby-2.4.3/bin:/Users/travis/.rvm/gems/ruby-2.4.3@global/bin:/Users/travis/.rvm/rubies/ruby-2.4.3/bin:/Users/travis/.rvm/bin:/Users/travis/.nvm/versions/node/v6.14.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin
+create_exe_shims_ /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src
+case $EXEEXT in
+return 0
+shift
+test 0 '!=' 0
+export PATH
+print_ver_ wc printf
+require_built_ wc printf
+skip_=no
+for i in '"$@"'
+case " $built_programs " in
+for i in '"$@"'
+case " $built_programs " in
+test no = yes
+test yes = yes
+local i
+for i in '$*'
+env wc --version
wc (GNU coreutils) 8.30.79-efa3e
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin and David MacKenzie.
+for i in '$*'
+env printf --version
printf (GNU coreutils) 8.30.79-efa3e
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.
+export LC_ALL=en_US.ISO-8859-1
+LC_ALL=en_US.ISO-8859-1
++locale charmap
+test US-ASCII = ISO-8859-1
+export LC_ALL=en_US.UTF-8
+LC_ALL=en_US.UTF-8
++locale charmap
+test UTF-8 = UTF-8
++env printf '=\u00A0='
++wc -w
+test 2 = 2
++env printf '=\u2007='
++wc -w
+test 2 = 2
++env printf '=\u202F='
++wc -w
+test 2 = 2
++env printf '=\u2060='
++wc -w
+test 1 = 2
+fail=1
+export LC_ALL=ru_RU.KOI8-R
+LC_ALL=ru_RU.KOI8-R
++locale charmap
+test KOI8-R = KOI8-R
++env printf '=\x9A='
++wc -w
+test 2 = 2
+Exit 1
+set +e
+exit 1
+exit 1
+remove_tmp_
+__st=1
+cleanup_
+:
+test '' = yes
+cd /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+chmod -R u+rwx /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-wc-nbsp.sh.h4wN
+rm -rf /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-wc-nbsp.sh.h4wN
+exit 1
FAIL tests/misc/wc-nbsp.sh (exit status: 1)

FAIL: tests/misc/test-N
=======================

++initial_cwd_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+++testdir_prefix_
+++printf gt
++pfx_=gt
+++mktempd_ /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e gt-test-N.sh.XXXX
+++case $# in
+++destdir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+++template_=gt-test-N.sh.XXXX
+++MAX_TRIES_=4
+++case $destdir_ in
+++destdir_slash_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/
+++case $template_ in
++++unset TMPDIR
+++d=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-test-N.sh.xhRL
+++case $d in
+++:
+++test -d /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-test-N.sh.xhRL
++++ls -dgo /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-test-N.sh.xhRL
+++perms='drwx------ 2 68 Mar  4 21:49 /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-test-N.sh.xhRL'
+++case $perms in
+++:
+++echo /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-test-N.sh.xhRL
+++return
++test_dir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-test-N.sh.xhRL
++cd /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-test-N.sh.xhRL
++gl_init_sh_nl_='
'
++IFS='
'
++for sig_ in 1 2 3 13 15
+++expr 1 + 128
++eval 'trap '\''Exit 129'\'' 1'
+++trap 'Exit 129' 1
++for sig_ in 1 2 3 13 15
+++expr 2 + 128
++eval 'trap '\''Exit 130'\'' 2'
+++trap 'Exit 130' 2
++for sig_ in 1 2 3 13 15
+++expr 3 + 128
++eval 'trap '\''Exit 131'\'' 3'
+++trap 'Exit 131' 3
++for sig_ in 1 2 3 13 15
+++expr 13 + 128
++eval 'trap '\''Exit 141'\'' 13'
+++trap 'Exit 141' 13
++for sig_ in 1 2 3 13 15
+++expr 15 + 128
++eval 'trap '\''Exit 143'\'' 15'
+++trap 'Exit 143' 15
++trap remove_tmp_ 0
+path_prepend_ ./src
+test 1 '!=' 0
+path_dir_=./src
+case $path_dir_ in
+abs_path_dir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src
+case $abs_path_dir_ in
+PATH=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src:/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/src:/Users/travis/.rvm/gems/ruby-2.4.3/bin:/Users/travis/.rvm/gems/ruby-2.4.3@global/bin:/Users/travis/.rvm/rubies/ruby-2.4.3/bin:/Users/travis/.rvm/bin:/Users/travis/.nvm/versions/node/v6.14.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin
+create_exe_shims_ /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src
+case $EXEEXT in
+return 0
+shift
+test 0 '!=' 0
+export PATH
+print_ver_ test
+require_built_ test
+skip_=no
+for i in '"$@"'
+case " $built_programs " in
+test no = yes
+test yes = yes
+local i
+for i in '$*'
+env test --version
+touch file
+stat file
File: file
Size: 0         	Blocks: 0          IO Block: 4096   regular empty file
Device: 1000002h/16777218d	Inode: 3970276     Links: 1
Access: (0644/-rw-r--r--)  Uid: (  501/  travis)   Gid: (   20/   staff)
Access: 2019-03-04 21:49:12.000000000 +0000
Modify: 2019-03-04 21:49:12.000000000 +0000
Change: 2019-03-04 21:49:12.000000000 +0000
Birth: 2019-03-04 21:49:12.000000000 +0000
+returns_ 1 env test -N file
+touch -a -d '12:00 today -2 days' file
+stat file
File: file
Size: 0         	Blocks: 0          IO Block: 4096   regular empty file
Device: 1000002h/16777218d	Inode: 3970276     Links: 1
Access: (0644/-rw-r--r--)  Uid: (  501/  travis)   Gid: (   20/   staff)
Access: 2019-03-04 21:49:12.000000000 +0000
Modify: 2019-03-04 21:49:12.000000000 +0000
Change: 2019-03-04 21:49:12.000000000 +0000
Birth: 2019-03-04 21:49:12.000000000 +0000
+env test -N file
+fail=1
+touch -m -d '12:00 today -4 days' file
+stat file
File: file
Size: 0         	Blocks: 0          IO Block: 4096   regular empty file
Device: 1000002h/16777218d	Inode: 3970276     Links: 1
Access: (0644/-rw-r--r--)  Uid: (  501/  travis)   Gid: (   20/   staff)
Access: 2019-03-04 21:49:12.000000000 +0000
Modify: 2019-02-28 12:00:00.000000000 +0000
Change: 2019-03-04 21:49:12.000000000 +0000
Birth: 2019-02-28 12:00:00.000000000 +0000
+returns_ 1 env test -N file
+stat file
File: file
Size: 0         	Blocks: 0          IO Block: 4096   regular empty file
Device: 1000002h/16777218d	Inode: 3970276     Links: 1
Access: (0644/-rw-r--r--)  Uid: (  501/  travis)   Gid: (   20/   staff)
Access: 2019-03-04 21:49:12.000000000 +0000
Modify: 2019-03-04 21:49:12.000000000 +0000
Change: 2019-03-04 21:49:12.000000000 +0000
Birth: 2019-02-28 12:00:00.000000000 +0000
+env test -N file
+fail=1
+Exit 1
+set +e
+exit 1
+exit 1
+remove_tmp_
+__st=1
+cleanup_
+:
+test '' = yes
+cd /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+chmod -R u+rwx /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-test-N.sh.xhRL
+rm -rf /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-test-N.sh.xhRL
+exit 1
FAIL tests/misc/test-N.sh (exit status: 1)

FAIL: tests/id/zero
===================

++initial_cwd_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+++testdir_prefix_
+++printf gt
++pfx_=gt
+++mktempd_ /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e gt-zero.sh.XXXX
+++case $# in
+++destdir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+++template_=gt-zero.sh.XXXX
+++MAX_TRIES_=4
+++case $destdir_ in
+++destdir_slash_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/
+++case $template_ in
++++unset TMPDIR
+++d=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-zero.sh.CN5R
+++case $d in
+++:
+++test -d /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-zero.sh.CN5R
++++ls -dgo /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-zero.sh.CN5R
+++perms='drwx------ 2 68 Mar  4 21:51 /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-zero.sh.CN5R'
+++case $perms in
+++:
+++echo /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-zero.sh.CN5R
+++return
++test_dir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-zero.sh.CN5R
++cd /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-zero.sh.CN5R
++gl_init_sh_nl_='
'
++IFS='
'
++for sig_ in 1 2 3 13 15
+++expr 1 + 128
++eval 'trap '\''Exit 129'\'' 1'
+++trap 'Exit 129' 1
++for sig_ in 1 2 3 13 15
+++expr 2 + 128
++eval 'trap '\''Exit 130'\'' 2'
+++trap 'Exit 130' 2
++for sig_ in 1 2 3 13 15
+++expr 3 + 128
++eval 'trap '\''Exit 131'\'' 3'
+++trap 'Exit 131' 3
++for sig_ in 1 2 3 13 15
+++expr 13 + 128
++eval 'trap '\''Exit 141'\'' 13'
+++trap 'Exit 141' 13
++for sig_ in 1 2 3 13 15
+++expr 15 + 128
++eval 'trap '\''Exit 143'\'' 15'
+++trap 'Exit 143' 15
++trap remove_tmp_ 0
+path_prepend_ ./src
+test 1 '!=' 0
+path_dir_=./src
+case $path_dir_ in
+abs_path_dir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src
+case $abs_path_dir_ in
+PATH=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src:/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/src:/Users/travis/.rvm/gems/ruby-2.4.3/bin:/Users/travis/.rvm/gems/ruby-2.4.3@global/bin:/Users/travis/.rvm/rubies/ruby-2.4.3/bin:/Users/travis/.rvm/bin:/Users/travis/.nvm/versions/node/v6.14.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin
+create_exe_shims_ /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src
+case $EXEEXT in
+return 0
+shift
+test 0 '!=' 0
+export PATH
+print_ver_ id
+require_built_ id
+skip_=no
+for i in '"$@"'
+case " $built_programs " in
+test no = yes
+test yes = yes
+local i
+for i in '$*'
+env id --version
id (GNU coreutils) 8.30.79-efa3e
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Arnold Robbins and David MacKenzie.
++id -nu
+u=travis
+id
uid=501(travis) gid=20(staff) groups=20(staff),12(everyone),61(localaccounts),79(_appserverusr),80(admin),81(_appserveradm),98(_lpadmin),701(1),33(_appstore),100(_lpoperator),204(_developer),250(_analyticsusers),395(com.apple.access_ftp),398(com.apple.access_screensharing),399(com.apple.access_ssh)
+id travis
uid=501(travis) gid=20(staff) groups=20(staff),12(everyone),61(localaccounts),79(_appserverusr),80(admin),81(_appserveradm),98(_lpadmin),701(1),33(_appstore),100(_lpoperator),204(_developer),250(_analyticsusers),395(com.apple.access_ftp),398(com.apple.access_screensharing),399(com.apple.access_ssh)
+echo 'id: option --zero not permitted in default format'
+id --zero
+compare /dev/null out
+compare_dev_null_ /dev/null out
+test 2 = 2
+test x/dev/null = x/dev/null
+test -s out
+return 0
+return 0
+compare err-exp err
+compare_dev_null_ err-exp err
+test 2 = 2
+test xerr-exp = x/dev/null
+test xerr = x/dev/null
+return 2
+case $? in
+compare_ err-exp err
+diff -u err-exp err
+users=travis
+for u in root man postfix sshd nobody
+id root
+users='travis root'
+for u in root man postfix sshd nobody
+id man
+for u in root man postfix sshd nobody
+id postfix
+users='travis root postfix'
+for u in root man postfix sshd nobody
+id sshd
+users='travis root postfix sshd'
+for u in root man postfix sshd nobody
+id nobody
+users='travis root postfix sshd nobody'
+printf '%s\n' travis root postfix sshd nobody ''
+printf '\n'
+read u
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -g[z] travis'
+printf '\n%s: ' 'id -g[z] travis'
+id -g travis
+id -gz travis
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -gn[z] travis'
+printf '\n%s: ' 'id -gn[z] travis'
+id -gn travis
+id -gnz travis
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -gr[z] travis'
+printf '\n%s: ' 'id -gr[z] travis'
+id -gr travis
+id -grz travis
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -grn[z] travis'
+printf '\n%s: ' 'id -grn[z] travis'
+id -grn travis
+id -grnz travis
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -G[z] travis'
+printf '\n%s: ' 'id -G[z] travis'
+id -G travis
+id -Gz travis
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gn[z] travis'
+printf '\n%s: ' 'id -Gn[z] travis'
+id -Gn travis
+id -Gnz travis
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gr[z] travis'
+printf '\n%s: ' 'id -Gr[z] travis'
+id -Gr travis
+id -Grz travis
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Grn[z] travis'
+printf '\n%s: ' 'id -Grn[z] travis'
+id -Grn travis
+id -Grnz travis
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -u[z] travis'
+printf '\n%s: ' 'id -u[z] travis'
+id -u travis
+id -uz travis
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -un[z] travis'
+printf '\n%s: ' 'id -un[z] travis'
+id -un travis
+id -unz travis
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -ur[z] travis'
+printf '\n%s: ' 'id -ur[z] travis'
+id -ur travis
+id -urz travis
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -urn[z] travis'
+printf '\n%s: ' 'id -urn[z] travis'
+id -urn travis
+id -urnz travis
+head -c-1
+read u
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -g[z] root'
+printf '\n%s: ' 'id -g[z] root'
+id -g root
+id -gz root
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -gn[z] root'
+printf '\n%s: ' 'id -gn[z] root'
+id -gn root
+id -gnz root
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -gr[z] root'
+printf '\n%s: ' 'id -gr[z] root'
+id -gr root
+id -grz root
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -grn[z] root'
+printf '\n%s: ' 'id -grn[z] root'
+id -grn root
+id -grnz root
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -G[z] root'
+printf '\n%s: ' 'id -G[z] root'
+id -G root
+id -Gz root
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gn[z] root'
+printf '\n%s: ' 'id -Gn[z] root'
+id -Gn root
+id -Gnz root
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gr[z] root'
+printf '\n%s: ' 'id -Gr[z] root'
+id -Gr root
+id -Grz root
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Grn[z] root'
+printf '\n%s: ' 'id -Grn[z] root'
+id -Grn root
+id -Grnz root
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -u[z] root'
+printf '\n%s: ' 'id -u[z] root'
+id -u root
+id -uz root
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -un[z] root'
+printf '\n%s: ' 'id -un[z] root'
+id -un root
+id -unz root
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -ur[z] root'
+printf '\n%s: ' 'id -ur[z] root'
+id -ur root
+id -urz root
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -urn[z] root'
+printf '\n%s: ' 'id -urn[z] root'
+id -urn root
+id -urnz root
+head -c-1
+read u
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -g[z] postfix'
+printf '\n%s: ' 'id -g[z] postfix'
+id -g postfix
+id -gz postfix
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -gn[z] postfix'
+printf '\n%s: ' 'id -gn[z] postfix'
+id -gn postfix
+id -gnz postfix
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -gr[z] postfix'
+printf '\n%s: ' 'id -gr[z] postfix'
+id -gr postfix
+id -grz postfix
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -grn[z] postfix'
+printf '\n%s: ' 'id -grn[z] postfix'
+id -grn postfix
+id -grnz postfix
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -G[z] postfix'
+printf '\n%s: ' 'id -G[z] postfix'
+id -G postfix
+id -Gz postfix
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gn[z] postfix'
+printf '\n%s: ' 'id -Gn[z] postfix'
+id -Gn postfix
+id -Gnz postfix
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gr[z] postfix'
+printf '\n%s: ' 'id -Gr[z] postfix'
+id -Gr postfix
+id -Grz postfix
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Grn[z] postfix'
+printf '\n%s: ' 'id -Grn[z] postfix'
+id -Grn postfix
+id -Grnz postfix
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -u[z] postfix'
+printf '\n%s: ' 'id -u[z] postfix'
+id -u postfix
+id -uz postfix
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -un[z] postfix'
+printf '\n%s: ' 'id -un[z] postfix'
+id -un postfix
+id -unz postfix
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -ur[z] postfix'
+printf '\n%s: ' 'id -ur[z] postfix'
+id -ur postfix
+id -urz postfix
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -urn[z] postfix'
+printf '\n%s: ' 'id -urn[z] postfix'
+id -urn postfix
+id -urnz postfix
+head -c-1
+read u
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -g[z] sshd'
+printf '\n%s: ' 'id -g[z] sshd'
+id -g sshd
+id -gz sshd
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -gn[z] sshd'
+printf '\n%s: ' 'id -gn[z] sshd'
+id -gn sshd
+id -gnz sshd
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -gr[z] sshd'
+printf '\n%s: ' 'id -gr[z] sshd'
+id -gr sshd
+id -grz sshd
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -grn[z] sshd'
+printf '\n%s: ' 'id -grn[z] sshd'
+id -grn sshd
+id -grnz sshd
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -G[z] sshd'
+printf '\n%s: ' 'id -G[z] sshd'
+id -G sshd
+id -Gz sshd
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gn[z] sshd'
+printf '\n%s: ' 'id -Gn[z] sshd'
+id -Gn sshd
+id -Gnz sshd
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gr[z] sshd'
+printf '\n%s: ' 'id -Gr[z] sshd'
+id -Gr sshd
+id -Grz sshd
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Grn[z] sshd'
+printf '\n%s: ' 'id -Grn[z] sshd'
+id -Grn sshd
+id -Grnz sshd
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -u[z] sshd'
+printf '\n%s: ' 'id -u[z] sshd'
+id -u sshd
+id -uz sshd
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -un[z] sshd'
+printf '\n%s: ' 'id -un[z] sshd'
+id -un sshd
+id -unz sshd
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -ur[z] sshd'
+printf '\n%s: ' 'id -ur[z] sshd'
+id -ur sshd
+id -urz sshd
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -urn[z] sshd'
+printf '\n%s: ' 'id -urn[z] sshd'
+id -urn sshd
+id -urnz sshd
+head -c-1
+read u
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -g[z] nobody'
+printf '\n%s: ' 'id -g[z] nobody'
+id -g nobody
+id -gz nobody
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -gn[z] nobody'
+printf '\n%s: ' 'id -gn[z] nobody'
+id -gn nobody
+id -gnz nobody
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -gr[z] nobody'
+printf '\n%s: ' 'id -gr[z] nobody'
+id -gr nobody
+id -grz nobody
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -grn[z] nobody'
+printf '\n%s: ' 'id -grn[z] nobody'
+id -grn nobody
+id -grnz nobody
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -G[z] nobody'
+printf '\n%s: ' 'id -G[z] nobody'
+id -G nobody
+id -Gz nobody
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gn[z] nobody'
+printf '\n%s: ' 'id -Gn[z] nobody'
+id -Gn nobody
+id -Gnz nobody
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gr[z] nobody'
+printf '\n%s: ' 'id -Gr[z] nobody'
+id -Gr nobody
+id -Grz nobody
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Grn[z] nobody'
+printf '\n%s: ' 'id -Grn[z] nobody'
+id -Grn nobody
+id -Grnz nobody
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -u[z] nobody'
+printf '\n%s: ' 'id -u[z] nobody'
+id -u nobody
+id -uz nobody
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -un[z] nobody'
+printf '\n%s: ' 'id -un[z] nobody'
+id -un nobody
+id -unz nobody
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -ur[z] nobody'
+printf '\n%s: ' 'id -ur[z] nobody'
+id -ur nobody
+id -urz nobody
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -urn[z] nobody'
+printf '\n%s: ' 'id -urn[z] nobody'
+id -urn nobody
+id -urnz nobody
+head -c-1
+read u
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -g[z] '
+printf '\n%s: ' 'id -g[z] '
+id -g
+id -gz
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -gn[z] '
+printf '\n%s: ' 'id -gn[z] '
+id -gn
+id -gnz
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -gr[z] '
+printf '\n%s: ' 'id -gr[z] '
+id -gr
+id -grz
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -grn[z] '
+printf '\n%s: ' 'id -grn[z] '
+id -grn
+id -grnz
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -G[z] '
+printf '\n%s: ' 'id -G[z] '
+id -G
+id -Gz
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gn[z] '
+printf '\n%s: ' 'id -Gn[z] '
+id -Gn
+id -Gnz
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -Gr[z] '
+printf '\n%s: ' 'id -Gr[z] '
+id -Gr
+id -Grz
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -Grn[z] '
+printf '\n%s: ' 'id -Grn[z] '
+id -Grn
+id -Grnz
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -u[z] '
+printf '\n%s: ' 'id -u[z] '
+id -u
+id -uz
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -un[z] '
+printf '\n%s: ' 'id -un[z] '
+id -un
+id -unz
+head -c-1
+for o in g gr G Gr u ur
+for n in ''\'''\''' n
+printf '%s: ' 'id -ur[z] '
+printf '\n%s: ' 'id -ur[z] '
+id -ur
+id -urz
+head -c-1
+for n in ''\'''\''' n
+printf '%s: ' 'id -urn[z] '
+printf '\n%s: ' 'id -urn[z] '
+id -urn
+id -urnz
+head -c-1
+read u
+printf '\n'
+tr '\0' ' '
+compare exp out2
+compare_dev_null_ exp out2
+test 2 = 2
+test xexp = x/dev/null
+test xout2 = x/dev/null
+return 2
+case $? in
+compare_ exp out2
+diff -u exp out2
+for o in g gr u ur
+for n in ''\'''\''' n
+id -g travis root postfix sshd nobody
+id -gz travis root postfix sshd nobody
+tr '\0' '\n'
+for n in ''\'''\''' n
+id -gn travis root postfix sshd nobody
+id -gnz travis root postfix sshd nobody
+tr '\0' '\n'
+for o in g gr u ur
+for n in ''\'''\''' n
+id -gr travis root postfix sshd nobody
+id -grz travis root postfix sshd nobody
+tr '\0' '\n'
+for n in ''\'''\''' n
+id -grn travis root postfix sshd nobody
+id -grnz travis root postfix sshd nobody
+tr '\0' '\n'
+for o in g gr u ur
+for n in ''\'''\''' n
+id -u travis root postfix sshd nobody
+id -uz travis root postfix sshd nobody
+tr '\0' '\n'
+for n in ''\'''\''' n
+id -un travis root postfix sshd nobody
+id -unz travis root postfix sshd nobody
+tr '\0' '\n'
+for o in g gr u ur
+for n in ''\'''\''' n
+id -ur travis root postfix sshd nobody
+id -urz travis root postfix sshd nobody
+tr '\0' '\n'
+for n in ''\'''\''' n
+id -urn travis root postfix sshd nobody
+id -urnz travis root postfix sshd nobody
+tr '\0' '\n'
+compare tmp1 tmp3
+compare_dev_null_ tmp1 tmp3
+test 2 = 2
+test xtmp1 = x/dev/null
+test xtmp3 = x/dev/null
+return 2
+case $? in
+compare_ tmp1 tmp3
+diff -u tmp1 tmp3
+NL='
'
+for o in G Gr
+for n in ''\'''\''' n
+id -G travis root postfix sshd nobody
+id -Gz travis root postfix sshd nobody
+tr '\0' ' '
+sed 's/  /\
/g'
+for n in ''\'''\''' n
+id -Gn travis root postfix sshd nobody
+id -Gnz travis root postfix sshd nobody
+tr '\0' ' '
+sed 's/  /\
/g'
+for o in G Gr
+for n in ''\'''\''' n
+id -Gr travis root postfix sshd nobody
+id -Grz travis root postfix sshd nobody
+tr '\0' ' '
+sed 's/  /\
/g'
+for n in ''\'''\''' n
+id -Grn travis root postfix sshd nobody
+id -Grnz travis root postfix sshd nobody
+tr '\0' ' '
+sed 's/  /\
/g'
+compare gtmp1 gtmp3
+compare_dev_null_ gtmp1 gtmp3
+test 2 = 2
+test xgtmp1 = x/dev/null
+test xgtmp3 = x/dev/null
+return 2
+case $? in
+compare_ gtmp1 gtmp3
+diff -u gtmp1 gtmp3
--- gtmp1	2019-03-04 21:51:18.000000000 +0000
+++ gtmp3	2019-03-04 21:51:18.000000000 +0000
@@ -3,18 +3,22 @@
27 12 29 30 61 701 100
75 12 61 701 100
4294967294 12 61 701 100
+
staff everyone localaccounts _appserverusr admin _appserveradm _lpadmin 1 _appstore _lpoperator _developer _analyticsusers com.apple.access_ftp com.apple.access_screensharing com.apple.access_ssh
wheel daemon kmem sys tty operator procview procmod everyone staff certusers localaccounts admin 1 _appstore _lpadmin _lpoperator _developer _analyticsusers com.apple.access_ftp com.apple.access_screensharing com.apple.access_ssh
_postfix everyone certusers _keytabusers localaccounts 1 _lpoperator
_sshd everyone localaccounts 1 _lpoperator
nobody everyone localaccounts 1 _lpoperator
+
20 12 61 79 80 81 98 701 33 100 204 250 395 398 399
0 1 2 3 4 5 8 9 12 20 29 61 80 701 33 98 100 204 250 395 398 399
27 12 29 30 61 701 100
75 12 61 701 100
4294967294 12 61 701 100
+
staff everyone localaccounts _appserverusr admin _appserveradm _lpadmin 1 _appstore _lpoperator _developer _analyticsusers com.apple.access_ftp com.apple.access_screensharing com.apple.access_ssh
wheel daemon kmem sys tty operator procview procmod everyone staff certusers localaccounts admin 1 _appstore _lpadmin _lpoperator _developer _analyticsusers com.apple.access_ftp com.apple.access_screensharing com.apple.access_ssh
_postfix everyone certusers _keytabusers localaccounts 1 _lpoperator
_sshd everyone localaccounts 1 _lpoperator
nobody everyone localaccounts 1 _lpoperator
+
+fail=1
+Exit 1
+set +e
+exit 1
+exit 1
+remove_tmp_
+__st=1
+cleanup_
+:
+test '' = yes
+cd /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+chmod -R u+rwx /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-zero.sh.CN5R
+rm -rf /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-zero.sh.CN5R
+exit 1
FAIL tests/id/zero.sh (exit status: 1)

FAIL: tests/touch/trailing-slash
================================

++initial_cwd_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+++testdir_prefix_
+++printf gt
++pfx_=gt
+++mktempd_ /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e gt-trailing-slash.sh.XXXX
+++case $# in
+++destdir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+++template_=gt-trailing-slash.sh.XXXX
+++MAX_TRIES_=4
+++case $destdir_ in
+++destdir_slash_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/
+++case $template_ in
++++unset TMPDIR
+++d=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-trailing-slash.sh.bQ8t
+++case $d in
+++:
+++test -d /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-trailing-slash.sh.bQ8t
++++ls -dgo /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-trailing-slash.sh.bQ8t
+++perms='drwx------ 2 68 Mar  4 21:52 /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-trailing-slash.sh.bQ8t'
+++case $perms in
+++:
+++echo /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-trailing-slash.sh.bQ8t
+++return
++test_dir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-trailing-slash.sh.bQ8t
++cd /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-trailing-slash.sh.bQ8t
++gl_init_sh_nl_='
'
++IFS='
'
++for sig_ in 1 2 3 13 15
+++expr 1 + 128
++eval 'trap '\''Exit 129'\'' 1'
+++trap 'Exit 129' 1
++for sig_ in 1 2 3 13 15
+++expr 2 + 128
++eval 'trap '\''Exit 130'\'' 2'
+++trap 'Exit 130' 2
++for sig_ in 1 2 3 13 15
+++expr 3 + 128
++eval 'trap '\''Exit 131'\'' 3'
+++trap 'Exit 131' 3
++for sig_ in 1 2 3 13 15
+++expr 13 + 128
++eval 'trap '\''Exit 141'\'' 13'
+++trap 'Exit 141' 13
++for sig_ in 1 2 3 13 15
+++expr 15 + 128
++eval 'trap '\''Exit 143'\'' 15'
+++trap 'Exit 143' 15
++trap remove_tmp_ 0
+path_prepend_ ./src
+test 1 '!=' 0
+path_dir_=./src
+case $path_dir_ in
+abs_path_dir_=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src
+case $abs_path_dir_ in
+PATH=/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src:/var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/src:/Users/travis/.rvm/gems/ruby-2.4.3/bin:/Users/travis/.rvm/gems/ruby-2.4.3@global/bin:/Users/travis/.rvm/rubies/ruby-2.4.3/bin:/Users/travis/.rvm/bin:/Users/travis/.nvm/versions/node/v6.14.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin
+create_exe_shims_ /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/./src
+case $EXEEXT in
+return 0
+shift
+test 0 '!=' 0
+export PATH
+print_ver_ touch
+require_built_ touch
+skip_=no
+for i in '"$@"'
+case " $built_programs " in
+test no = yes
+test yes = yes
+local i
+for i in '$*'
+env touch --version
touch (GNU coreutils) 8.30.79-efa3e
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, Arnold Robbins, Jim Kingdon,
David MacKenzie, and Randy Smith.
+ln -s nowhere dangling
+ln -s loop loop
+touch file
+ln -s file link1
+mkdir dir
+ln -s dir link2
+returns_ 1 touch no-file/
touch: setting times of 'no-file/': No such file or directory
+returns_ 1 touch file/
touch: setting times of 'file/': Not a directory
+returns_ 1 touch dangling/
touch: setting times of 'dangling/': No such file or directory
+returns_ 1 touch loop/
touch: setting times of 'loop/': Too many levels of symbolic links
+returns_ 1 touch link1/
+fail=1
+touch dir/
+touch -c no-file/
+returns_ 1 touch -c file/
touch: setting times of 'file/': Not a directory
+touch -c dangling/
+returns_ 1 touch -c loop/
touch: setting times of 'loop/': Too many levels of symbolic links
+returns_ 1 touch -c link1/
+fail=1
+touch -c dir/
+returns_ 1 test -f no-file
+returns_ 1 test -f nowhere
+touch -d 2009-10-10 -h link2/
+touch -h -r link2/ file
+case $(stat --format=%y dir) in
++stat --format=%y dir
+case $(stat --format=%y link2) in
++stat --format=%y link2
+case $(stat --format=%y file) in
++stat --format=%y file
+Exit 1
+set +e
+exit 1
+exit 1
+remove_tmp_
+__st=1
+cleanup_
+:
+test '' = yes
+cd /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+chmod -R u+rwx /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-trailing-slash.sh.bQ8t
+rm -rf /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-trailing-slash.sh.bQ8t
+exit 1
FAIL tests/touch/trailing-slash.sh (exit status: 1)
Last lines of tail-error.log:
make-check failed, tail of make-check.log:


make check-very-expensive

+test 9 = 2
+printf '%s\n' 't36.sh: skipped test: very expensive: disabled by default
This test is very expensive, so it is disabled by default.
To run it anyway, rerun make check with the RUN_VERY_EXPENSIVE_TESTS
environment variable set to yes.  E.g.,

env RUN_VERY_EXPENSIVE_TESTS=yes make check

or use the shortcut target of the toplevel Makefile,

make check-very-expensive
'
+sed 1q
+Exit 77
+set +e
+exit 77
+exit 77
+remove_tmp_
+__st=77
+cleanup_
+:
+test '' = yes
+cd /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e
+chmod -R u+rwx /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-t36.sh.RJ6K
+rm -rf /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG/coreutils-8.30.79-efa3e/gt-t36.sh.RJ6K
+exit 77
SKIP tests/factor/t36.sh (exit status: 77)

============================================================================
Testsuite summary for GNU coreutils 8.30.79-efa3e
============================================================================
# TOTAL: 616
# PASS:  440
# SKIP:  172
# XFAIL: 0
# FAIL:  4
# XPASS: 0
# ERROR: 0
============================================================================
See ./tests/test-suite.log
Please report to bug-coreutils@gnu.org
============================================================================
make[4]: *** [tests/test-suite.log] Error 1
make[3]: *** [check-TESTS] Error 2
make[2]: *** [check-am] Error 2
make[1]: *** [check-recursive] Error 1
make: *** [check] Error 2

Build information

PATH /Users/travis/.rvm/gems/ruby-2.4.3/bin:/Users/travis/.rvm/gems/ruby-2.4.3@global/bin:/Users/travis/.rvm/rubies/ruby-2.4.3/bin:/Users/travis/.rvm/bin:/Users/travis/bin:/Users/travis/.local/bin:/Users/travis/.nvm/versions/node/v6.14.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin
SHELL /bin/bash
PWD /var/folders/nz/vv4_9tw56nv9k3tkvyszvwg80000gn/T/coreutils-8.30.79-efa3e.XXXXXX.pUryUQsG
hostname Traviss-Mac-80.local
SOURCE http://agnx.s3.amazonaws.com/tmp/coreutils-8.30.79-efa3e.tar.xz
BASENAME coreutils-8.30.79-efa3e
configure_extra_params
make_extra_params
make_check_extra_params
env_extra_params
git_branch

Build host information

autoconf-version autoconf (GNU Autoconf) 2.69
automake-version automake (GNU automake) 1.16.1
autopoint-version missing
autoreconf-version autoreconf (GNU Autoconf) 2.69
make-version GNU Make 3.81
makeinfo-version makeinfo (GNU texinfo) 4.8
git-version git version 2.18.0
wget-version GNU Wget 1.19.5 built on darwin17.5.0.
rsync-version rsync version 2.6.9 protocol version 29
gcc-version Apple LLVM version 9.1.0 (clang-902.0.39.2)
cc-version Apple LLVM version 9.1.0 (clang-902.0.39.2)
uname-s Darwin
uname-r 17.4.0
uname-m x86_64
uname-p i386
uname-i
uname-o
uname-v Darwin Kernel Version 17.4.0: Sun Dec 17 09:19:54 PST 2017; root:xnu-4570.41.2~1/RELEASE_X86_64
lsb_release-v
lsb_release-i
lsb_release-d
lsb_release-r
lsb_release-c
etc_release
etc_issue

Download Log Files

logs/config.log 4.6 MB curl -JLO 'http://pretest.housegordon.org/g/6142/logs/config.log'
logs/config.status 105.5 kB curl -JLO 'http://pretest.housegordon.org/g/6142/logs/config.status'
logs/configure.log 46.8 kB curl -JLO 'http://pretest.housegordon.org/g/6142/logs/configure.log'
logs/configure.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6142/logs/configure.ok'
logs/environment.txt 439 Bytes curl -JLO 'http://pretest.housegordon.org/g/6142/logs/environment.txt'
logs/input.txt 202 Bytes curl -JLO 'http://pretest.housegordon.org/g/6142/logs/input.txt'
logs/make-check.log 1.2 MB curl -JLO 'http://pretest.housegordon.org/g/6142/logs/make-check.log'
logs/make.log 29.2 kB curl -JLO 'http://pretest.housegordon.org/g/6142/logs/make.log'
logs/make.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6142/logs/make.ok'
logs/status 18 Bytes curl -JLO 'http://pretest.housegordon.org/g/6142/logs/status'
logs/tail-error.log 1.7 kB curl -JLO 'http://pretest.housegordon.org/g/6142/logs/tail-error.log'
logs/test-suite.0.log 1.2 MB curl -JLO 'http://pretest.housegordon.org/g/6142/logs/test-suite.0.log'
logs/tests-suite-summary.log 36.4 kB curl -JLO 'http://pretest.housegordon.org/g/6142/logs/tests-suite-summary.log'
logs/timestamp.start.txt 76 Bytes curl -JLO 'http://pretest.housegordon.org/g/6142/logs/timestamp.start.txt'
logs/versions.txt 790 Bytes curl -JLO 'http://pretest.housegordon.org/g/6142/logs/versions.txt'